Runs - Get
Gets a run for a particular pipeline.
GET https://dev.azure.com/{organization}/{project}/_apis/pipelines/{pipelineId}/runs/{runId}?api-version=7.0
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
pipeline
|
path | True |
integer int32 |
The pipeline id |
|
project
|
path | True |
string |
Project ID or project name |
|
run
|
path | True |
integer int32 |
The run id |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '7.0' to use this version of the api. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
accessToken
Personal access token. Use any value for the user name and the token as the password.
Type:
basic
Definitions
| Name | Description |
|---|---|
|
Pipeline |
A reference to a Pipeline. |
|
Reference |
The class to represent a collection of REST reference links. |
| Repository | |
|
Repository |
|
|
Repository |
|
| Run | |
|
Run |
|
|
Run |
|
|
Run |
|
| Variable |
PipelineReference
A reference to a Pipeline.
| Name | Type | Description |
|---|---|---|
| folder |
string |
Pipeline folder |
| id |
integer |
Pipeline ID |
| name |
string |
Pipeline name |
| revision |
integer |
Revision number |
| url |
string |
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
object |
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |
Repository
| Name | Type | Description |
|---|---|---|
| type |
RepositoryResource
| Name | Type | Description |
|---|---|---|
| refName |
string |
|
| repository | ||
| version |
string |
RepositoryType
| Name | Type | Description |
|---|---|---|
| azureReposGit |
string |
|
| azureReposGitHyphenated |
string |
|
| gitHub |
string |
|
| gitHubEnterprise |
string |
|
| unknown |
string |
Run
| Name | Type | Description |
|---|---|---|
| _links |
The class to represent a collection of REST reference links. |
|
| createdDate |
string |
|
| finalYaml |
string |
|
| finishedDate |
string |
|
| id |
integer |
|
| name |
string |
|
| pipeline |
A reference to a Pipeline. |
|
| resources | ||
| result | ||
| state | ||
| url |
string |
|
| variables |
<string, Variable> |
RunResources
| Name | Type | Description |
|---|---|---|
| repositories |
<string,
Repository |
RunResult
| Name | Type | Description |
|---|---|---|
| canceled |
string |
|
| failed |
string |
|
| succeeded |
string |
|
| unknown |
string |
RunState
| Name | Type | Description |
|---|---|---|
| canceling |
string |
|
| completed |
string |
|
| inProgress |
string |
|
| unknown |
string |
Variable
| Name | Type | Description |
|---|---|---|
| isSecret |
boolean |
|
| value |
string |